package p2.application.tappshortcutmode;

import baseclass.DataBeanCust;
import p2.pao.PaoSet;
import p2.util.P2AppException;
import p2.util.P2Exception;

public class ShortCutDataBean extends DataBeanCust {
	public int ADDROWS() throws P2Exception {
		return 2;
	}

	@Override
    public int TOGGLEDELETEROW() throws P2Exception {
		super.TOGGLEDELETEROW();
		this.save();
		byrefresh();
		return 1;
	}

	public int CREATESHORTCUT() throws P2Exception {
		int i = 0;
		tappshortcutmode pao = null;
		while ((pao = (tappshortcutmode) getPaoSet().getPao(i)) != null) {
			pao.createshortcut();
			i++;
		}
		((PaoSet) getPaoSet()).addWarning(new P2AppException("", "´´½¨Íê³É£¡"));
		return 1;
	}
}
